%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-batchhttp
Version:        1.1.1
Release:        13%{?dist}
Summary:        Parallel fetching of HTTP resources through MIME multipart

Group:          Development/Languages
License:        BSD
URL:            https://github.com/saymedia/batchhttp/
Source0:        http://pypi.python.org/packages/source/b/batchhttp/batchhttp-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools

%global _description\
This package's BatchClient applies standard MIME multipart encoding to HTTP\
messages, providing a standards-conservant technique for making parallelizable\
HTTP requests over a single proxy connection.\
\
To make a batch request, open a new request on a BatchClient instance and add\
your subrequests, along with callbacks that will receive the subresponses.\
Once all parallelized requests are added, complete the request; the request is\
made and the batched subresponses are provided to your callbacks.

%description %_description

%package -n python2-batchhttp
Summary: %summary
Requires:       python2-httplib2
%{?python_provide:%python_provide python2-batchhttp}

%description -n python2-batchhttp %_description

%prep
%setup -q -n batchhttp-%{version}


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --skip-build --root $RPM_BUILD_ROOT



%files -n python2-batchhttp
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/*


%changelog
* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.1.1-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.1-11
- Python 2 binary package renamed to python2-batchhttp
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1.1-5
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.1.1-1
- Updated to upstream 1.1.1
- Updated URL field

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jan 26 2010 Sebastian Dziallas <sebastian@when.com> - 1.1-1
- new upstream release

* Tue Oct 06 2009 Sebastian Dziallas <sebastian@when.com> - 1.0-1
- initial packaging
